package betterquesting.storage;

import betterquesting.api.api.QuestingAPI;
import betterquesting.api.properties.IPropertyType;
import betterquesting.api.properties.NativeProps;
import betterquesting.api.storage.IQuestSettings;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.nbt.NBTTagCompound;

/* loaded from: betterquesting_storage.jar:betterquesting/storage/QuestSettings.class */
public class QuestSettings extends PropertyContainer implements IQuestSettings {
    public static final QuestSettings INSTANCE = new QuestSettings();

    public QuestSettings() {
        setupProps();
    }

    public boolean canUserEdit(EntityPlayer player) {
        return player != null && ((Boolean) getProperty(NativeProps.EDIT_MODE)).booleanValue() && NameCache.INSTANCE.isOP(QuestingAPI.getQuestingUUID(player));
    }

    @Override // betterquesting.storage.PropertyContainer
    public void readFromNBT(NBTTagCompound nbt) {
        super.readFromNBT(nbt);
        setupProps();
    }

    public void reset() {
        readFromNBT(new NBTTagCompound());
    }

    private void setupProps() {
        setupValue(NativeProps.PACK_NAME);
        setupValue(NativeProps.PACK_VER);
        setupValue(NativeProps.PARTY_ENABLE);
        setupValue(NativeProps.EDIT_MODE);
        setupValue(NativeProps.HARDCORE);
        setupValue(NativeProps.LIVES_DEF);
        setupValue(NativeProps.LIVES_MAX);
        setupValue(NativeProps.HOME_IMAGE);
        setupValue(NativeProps.HOME_ANC_X);
        setupValue(NativeProps.HOME_ANC_Y);
        setupValue(NativeProps.HOME_OFF_X);
        setupValue(NativeProps.HOME_OFF_Y);
    }

    /* JADX WARN: Multi-variable type inference failed */
    private <T> void setupValue(IPropertyType<T> prop) {
        setupValue(prop, prop.getDefault());
    }

    /* JADX WARN: Multi-variable type inference failed */
    private <T> void setupValue(IPropertyType<T> prop, T def) {
        setProperty(prop, getProperty(prop, def));
    }
}
